<?php
if (!defined('sugarEntry') || !sugarEntry) {
    die('Not A Valid Entry Point');
}
/**
 *
 * SugarCRM Community Edition is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004-2013 SugarCRM Inc.
 *
 * SuiteCRM is an extension to SugarCRM Community Edition developed by SalesAgility Ltd.
 * Copyright (C) 2011 - 2018 SalesAgility Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU Affero General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo and "Supercharged by SuiteCRM" logo. If the display of the logos is not
 * reasonably feasible for technical reasons, the Appropriate Legal Notices must
 * display the words "Powered by SugarCRM" and "Supercharged by SuiteCRM".
 */


global $mod_strings;

$popupMeta = array('moduleMain' => 'ProspectList',
                        'varName' => 'PROSPECTLIST',
                        'orderBy' => 'name',
                        'whereClauses' =>
                            array('name' => 'prospect_lists.name',
                                    'list_type' => 'prospect_lists.list_type'),
                        'searchInputs' =>
                            array('name', 'list_type'),
                        'selectDoms' =>
                            array('LIST_OPTIONS' =>
                                            array('dom' => 'prospect_list_type_dom', 'searchInput' => 'list_type'),
                                  ),
                        'create' =>
                            array('formBase' => 'ProspectListFormBase.php',
                                    'formBaseClass' => 'ProspectListFormBase',
                                    'getFormBodyParams' => array('','','ProspectListSave'),
                                    'createButton' => 'LNK_NEW_PROSPECT_LIST'
                                  ),
                        'listviewdefs' => array(
                            'NAME' => array(
                                'width' => '25',
                                'label' => 'LBL_LIST_PROSPECT_LIST_NAME',
                                'link' => true,
                                'default' => true),
                            'LIST_TYPE' => array(
                                'width' => '15',
                                'label' => 'LBL_LIST_TYPE_LIST_NAME',
                                'default' => true),
                            'DESCRIPTION' => array(
                                'width' => '50',
                                'label' => 'LBL_LIST_DESCRIPTION',
                                'default' => true),
                            'ASSIGNED_USER_NAME' => array(
                                'width' => '10',
                                'label' => 'LBL_LIST_ASSIGNED_USER',
                                'module' => 'Employees',
                                'default' => true),
                            ),

                        );
