<?php
/**
 *
 * SugarCRM Community Edition is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004-2013 SugarCRM Inc.
 *
 * SuiteCRM is an extension to SugarCRM Community Edition developed by SalesAgility Ltd.
 * Copyright (C) 2011 - 2019 SalesAgility Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU Affero General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo and "Supercharged by SuiteCRM" logo. If the display of the logos is not
 * reasonably feasible for technical reasons, the Appropriate Legal Notices must
 * display the words "Powered by SugarCRM" and "Supercharged by SuiteCRM".
 */

if (!defined('sugarEntry') || !sugarEntry) {
    die('Not A Valid Entry Point');
}

$mod_strings = array(
    'ERR_NO_2FACTOR_EMAIL_TMPL' => 'Two-factor email template is not set, please change settings on password management page.',
    'ERR_NO_2FACTOR_EMAIL_TMPL_CODE' => 'Two-factor email template should contain a $code at least.',
    'LBL_DELETE_USER_CONFIRM' => 'When the User record is deleted, the corresponding Employee record will also be deleted. After the user is deleted, any workflow definitions and reports involving the user might need to be updated.<br/><br/> Deleting a User record cannot be undone.',
    'LBL_DELETE_GROUP_CONFIRM' => 'Are you sure you want to delete this Group User? Click OK to delete the User record.<br/>After clicking OK, you will be given the ability to reassign records assigned to the Group User to another user.',
    'LNK_IMPORT_USERS' => 'Import Users',
    'ERR_DELETE_RECORD' => 'A record number must be specified to delete the account.',
    'ERR_EMAIL_INCORRECT' => 'Provide a valid email address in order to create and send the password.',
    'ERR_EMAIL_NO_OPTS' => 'Could not find optimum settings for Inbound Email.',
    'ERR_ENTER_CONFIRMATION_PASSWORD' => 'Please enter your password confirmation.',
    'ERR_ENTER_NEW_PASSWORD' => 'Please enter your new password.',
    'ERR_ENTER_OLD_PASSWORD' => 'Please enter your current password.',
    'ERR_IE_FAILURE1' => '[Click here to return]',
    'ERR_IE_FAILURE2' => 'There was a problem connecting to the Email Account. Please check your settings and try again.',
    'ERR_IE_MISSING_REQUIRED' => "Inbound Email settings are missing required information.\n  Please check your settings and try again.\n\nIf you are not setting up Inbound Email, please clear all fields in that section.",
    'ERR_INVALID_PASSWORD' => 'You must specify a valid username and password.',
    'ERR_LAST_ADMIN_1' => 'The user name "',
    'ERR_LAST_ADMIN_2' => '" is the last user with administrator access. At least one user must be an administrator.',
    'ERR_PASSWORD_CHANGE_FAILED_1' => 'User password change failed for ',
    'ERR_PASSWORD_CHANGE_FAILED_2' => ' failed. The new password must be set.',
    'ERR_PASSWORD_INCORRECT_OLD_1' => 'Incorrect current password for user ',
    'ERR_PASSWORD_INCORRECT_OLD_2' => '. Re-enter password information.',
    'ERR_PASSWORD_MISMATCH' => 'The passwords do not match.',
    'ERR_REENTER_PASSWORDS' => 'The New Password and Confirm Password values do not match.',
    'ERR_REPORT_LOOP' => 'The system detected a reporting loop. A user cannot report to themselves, nor can any of their managers report to them.',
    'ERR_RULES_NOT_MET' => 'The password you entered did not meet the password requirements. Please try again.',
    'ERR_USER_NAME_EXISTS_1' => 'The user name ',
    'ERR_USER_NAME_EXISTS_2' => ' already exists. Duplicate user names are not allowed. Please change the user name to be unique.',
    'ERR_USER_IS_LOCKED_OUT' => 'This user is locked out of the SuiteCRM application and cannot log in using their existing password.',
    'ERR_PASSWORD_MINPWDLENGTH' => 'Password should contain at least %d characters.',
    'ERR_PASSWORD_ONEUPPER' => 'Password should contain uppercase characters.',
    'ERR_PASSWORD_ONELOWER' => 'Password should contain lowercase characters.',
    'ERR_PASSWORD_ONENUMBER' => 'Password should contain numbers.',
    'ERR_PASSWORD_SPECCHARS' => 'Password should contain special characters.',
    'LBL_PASSWORD_SENT' => 'Password Updated',
    'LBL_CANNOT_SEND_PASSWORD' => 'Cannot send password',
    'ERR_EMAIL_NOT_SENT_ADMIN' => 'System is unable to process your request. Please check:',
    'ERR_SMTP_URL_SMTP_PORT' => 'SMTP Server URL and Port',
    'ERR_SMTP_USERNAME_SMTP_PASSWORD' => 'SMTP Username and SMTP Password',
    'ERR_RECIPIENT_EMAIL' => 'Recipient Email Address',
    'ERR_SERVER_STATUS' => 'Your server status',
    'ERR_SERVER_SMTP_EMPTY' => 'The system is unable to send an email to the user. Please check the Outgoing Mail Configuration in <a href="index.php?module=EmailMan&action=config">Email Settings</a>.',
    'LBL_ADDRESS_CITY' => 'Address City',
    'LBL_ADDRESS_COUNTRY' => 'Address Country',
    'LBL_ADDRESS_INFORMATION' => 'Address Information',
    'LBL_ADDRESS_POSTALCODE' => 'Address Postal Code',
    'LBL_ADDRESS_STATE' => 'Address State/Region',
    'LBL_ADDRESS_STREET' => 'Address Street',
    'LBL_ADDRESS' => 'Address',
    'LBL_ADMIN_USER' => 'System Administrator User',
    'LBL_ADMIN_DESC' => 'User can access the Administration page all records.',
    'LBL_REGULAR_DESC' => 'User can access modules and records based on roles.',
    'LBL_PHOTO' => 'Photo',
    'LBL_ADMIN' => 'System Administrator',
    'LBL_LAST_ADMIN_NOTICE' => 'Current selection could include yourself. You cannot change your own type of user or status.',    
    'LBL_ADVANCED' => 'Advanced',
    'LBL_ANY_ADDRESS' => 'Any Address:',
    'LBL_ANY_EMAIL' => 'Any Email',
    'LBL_ANY_PHONE' => 'Any Phone',
    'LBL_CALENDAR_OPTIONS' => 'Calendar Options',
    'LBL_CHANGE_PASSWORD' => 'Change Generated Password',
    'LBL_CHANGE_SYSTEM_PASSWORD' => 'Please provide a new password.',
    'LBL_CHANGE_PASSWORD_TITLE' => 'Password',
    'LBL_CHOOSE_A_KEY' => 'Choose a key to prevent unauthorized publishing of your calendar',
    'LBL_NO_KEY' => 'Key is not set. Please set key to enable publishing.',
    'LBL_CHOOSE_WHICH' => 'Select which modules are accessible within the top navigation bar. Designate the order in which you would like the modules to appear.',
    'LBL_CITY' => 'City',
    'LBL_CLEAR_BUTTON_TITLE' => 'Clear',
    'LBL_CONFIRM_PASSWORD' => 'Confirm Password',
    'LBL_CONFIRM_REGULAR_USER' => 'You have changed the user type from System Administrator User to Regular User. After saving this change, the user will no longer have system administrator privileges.\n\nClick OK to proceed.\nClick Cancel to return to the record.',
    'LBL_COUNTRY' => 'Country',
    'LBL_CURRENCY_TEXT' => 'Select the currency that will be displayed by default when you create new records. This is also the currency that will be displayed in the Amount columns in the Opportunities ListView.',
    'LBL_CURRENCY' => 'Currency',
    'LBL_CURRENCY_SIG_DIGITS' => 'Currency Significant Digits',
    'LBL_CURRENCY_SIG_DIGITS_DESC' => 'Number of decimal places to show for currency',
    'LBL_NUMBER_GROUPING_SEP' => '1000s separator',
    'LBL_NUMBER_GROUPING_SEP_TEXT' => 'Character used to separate thousands',
    'LBL_DECIMAL_SEP' => 'Decimal Symbol',
    'LBL_DECIMAL_SEP_TEXT' => 'Character used to separate decimal portion',
    'LBL_FDOW' => 'First Day of Week',
    'LBL_FDOW_TEXT' => 'First Day displayed in Week, Month, and Year Views',
    'LBL_DATE_FORMAT_TEXT' => 'Set the display format for date stamps',
    'LBL_DATE_FORMAT' => 'Date Format',
    'LBL_DEFAULT_SUBPANEL_TITLE' => 'Users',
    'LBL_DEPARTMENT' => 'Department',
    'LBL_DISPLAY_TABS' => 'Display Modules',
    'LBL_DST_INSTRUCTIONS' => '(+DST) indicates the observance of Daylight Savings Time',
    'LBL_EDIT_TABS' => 'Select Modules for Navigation Bar',
    'LBL_EDIT' => 'Edit',
    'LBL_USER_HASH' => 'Password',
    'LBL_AUTHENTICATE_ID' => 'Authentication Id',
    'LBL_ACCOUNT_NAME' => 'Account Name',
    'LBL_EXT_AUTHENTICATE' => 'External Authentication',
    'LBL_EMAIL' => 'Email Address',
    'LBL_EMAIL_CHARSET' => 'Outbound Character Set',
    'LBL_EMAIL_LINK_TYPE' => 'Email Client',
    'LBL_EMAIL_LINK_TYPE_HELP' => '<b>SuiteCRM Mail Client:</b> Send emails using the email client in the SuiteCRM application.<br><b>External Mail Client:</b> Send email using an email client outside of the SuiteCRM application, such as Microsoft Outlook.',
    'LBL_EMAIL_NOT_SENT' => 'System is unable to process your request. Please contact the system administrator.',
    'LBL_EMAIL_SIGNATURE_ERROR1' => 'This signature requires a name.',
    'LBL_EMAIL_TEMPLATE_MISSING' => 'No email template is selected for the email containing the password that will be sent to the user. Please select an email template in the Password Management page.',
    'LBL_EMPLOYEE_STATUS' => 'Employee Status',
    'LBL_EMPLOYEE_INFORMATION' => 'Employee Information',
    'LBL_ERROR' => 'Error',
    'LBL_MISSING_TEMPLATE' => 'login.tpl not found',
    'LBL_EXPORT_CHARSET' => 'Import/Export Character Set',
    'LBL_EXPORT_CHARSET_DESC' => 'Choose the character set used in your locale. This property will be used for data imports, .csv exports and for vCard generation.',
    'LBL_EXPORT_DELIMITER' => 'Export Delimiter',
    'LBL_EXPORT_DELIMITER_DESC' => 'Specify the character(s) used to delimit exported data.',
    'LBL_FAX_PHONE' => 'Fax',
    'LBL_FAX' => 'Fax',
    'LBL_FIRST_NAME' => 'First Name',
    'LBL_SYSTEM_GENERATED_PASSWORD' => 'System Generated Password',
    'LBL_GENERATE_PASSWORD_BUTTON_LABEL' => 'Reset Password',
    'LBL_GROUP_DESC' => 'Use for assigning items to a group (example: for Inbound Email). This type cannot login through the SuiteCRM web interface.',
    'LBL_GROUP_USER' => 'Group User',
    'LBL_HIDE_TABS' => 'Hide Modules',
    'LBL_HOME_PHONE' => 'Home Phone',
    'LBL_INBOUND_TITLE' => 'Account Information',
    'LBL_IS_ADMIN' => 'Is Administrator',
    'LBL_LANGUAGE' => 'Language',
    'LBL_LAST_NAME' => 'Last Name',
    'LBL_LAYOUT_OPTIONS' => 'Layout Options',
    'LBL_SUBTHEMES' => 'Style',
    'LBL_SUBTHEME_OPTIONS_DAWN' => 'Dawn',
    'LBL_SUBTHEME_OPTIONS_DAY' => 'Day',
    'LBL_SUBTHEME_OPTIONS_DUSK' => 'Dusk',
    'LBL_SUBTHEME_OPTIONS_NIGHT' => 'Night',
    'LBL_SUBTHEME' => 'Style',
    'LBL_LDAP' => 'LDAP',
    'LBL_LDAP_AUTHENTICATION' => 'LDAP Authentication',
    'LBL_LIST_ACCEPT_STATUS' => 'Accept Status',
    'LBL_LIST_DEPARTMENT' => 'Department',
    'LBL_LIST_EMAIL' => 'Email',
    'LBL_LIST_FORM_TITLE' => 'Users',
    'LBL_LIST_GROUP' => 'Group',
    'LBL_LIST_LAST_NAME' => 'Last Name',
    'LBL_LIST_MEMBERSHIP' => 'Membership',
    'LBL_LIST_NAME' => 'Name',
    'LBL_LIST_STATUS' => 'Status',
    'LBL_LIST_TITLE' => 'Job Title',
    'LBL_LIST_USER_NAME' => 'User Name',
    'LBL_LOCALE_DEFAULT_NAME_FORMAT' => 'Name Display Format',
    'LBL_LOCALE_DESC_FIRST' => '[First]',
    'LBL_LOCALE_DESC_LAST' => '[Last]',
    'LBL_LOCALE_DESC_SALUTATION' => '[Salutation]',
    'LBL_LOCALE_DESC_TITLE' => '[Title]',
    'LBL_LOCALE_EXAMPLE_NAME_FORMAT' => 'Example',
    'LBL_LOCALE_NAME_FORMAT_DESC' => 'Set how names will be displayed.',
    'LBL_SAVED_SEARCH' => 'Saved Search & Layout',
    // LOGIN PAGE STRINGS
    'LBL_LOGIN_BUTTON_LABEL' => 'Log In',
    'LBL_LOGIN_BUTTON_TITLE' => 'Log In',
    'LBL_LOGIN_FORGOT_PASSWORD' => 'Forgot Password?',
    'LBL_LOGIN_SUBMIT' => 'Submit',
    // END LOGIN PAGE STRINGS
    'LBL_LOGGED_OUT_1' => 'You have been logged out. To login again please click ',
    'LBL_LOGGED_OUT_2' => 'here',
    'LBL_LOGGED_OUT_3' => '.',
    'LBL_MAIL_OPTIONS_TITLE' => 'Email Settings',
    'LBL_MAIL_SENDTYPE' => 'Mail transfer agent',
    'LBL_MAIL_SMTPPORT' => 'SMTP Port',
    'LBL_MAILMERGE_TEXT' => 'Enable Mail Merge (Mail Merge must also be enabled by the system administrator in Configure Settings)',
    'LBL_MAILMERGE' => 'Mail Merge',
    'LBL_MESSENGER_ID' => 'IM Name',
    'LBL_MESSENGER_TYPE' => 'IM Type',
    'LBL_MOBILE_PHONE' => 'Mobile',
    'LBL_MODIFIED_BY' => 'Modified By',
    'LBL_CREATED_BY_NAME' => 'Created By', //bug 48978
    'LBL_MODIFIED_BY_ID' => 'Modified By ID',
    'LBL_MODULE_NAME' => 'Users',
    'LBL_MODULE_TITLE' => 'Users: Home',
    'LBL_NAME' => 'Full Name',
    'LBL_SIGNATURE_NAME' => 'Name',
    'LBL_NAVIGATION_PARADIGM_DESCRIPTION' => 'Select to be able to view modules in the navigation bar based on pre-defined groups. When selected, the "Filter Menu By" feature will appear in the "More" menu.',
    'LBL_USE_GROUP_TABS' => 'Module Menu Filters',
    'LBL_NEW_FORM_TITLE' => 'New User',
    'LBL_NEW_PASSWORD' => 'New Password',
    'LBL_NEW_PASSWORD2' => 'Confirm Password',
    'LBL_NEW_USER_PASSWORD_2' => 'An email was sent to the user containing a system-generated password.',
    'LBL_NEW_USER_PASSWORD_3' => 'Password was created successfully.',
    'LBL_NOTES' => 'Notes',
    'LBL_OFFICE_PHONE' => 'Office Phone',
    'LBL_OLD_PASSWORD' => 'Current Password',
    'LBL_OTHER_PHONE' => 'Other Phone',
    'LBL_PASSWORD' => 'Password',
    'LBL_PASSWORD_EXPIRATION_LOGIN' => 'Your password has expired. Please provide a new password.',
    'LBL_PASSWORD_EXPIRATION_GENERATED' => 'Your password is system-generated',
    'LBL_PASSWORD_EXPIRATION_TIME' => 'Your password has expired. Please provide a new password.',
    'LBL_PSW_MODIFIED' => 'Password Last Changed',
    'LBL_PHONE' => 'Phone',
    'LBL_PICK_TZ_DESCRIPTION' => 'Before continuing, please confirm your time zone. Select the appropriate time zone from the list below, and click Save to continue. The time zone can be changed at any time in your user settings.',
    'LBL_PORTAL_ONLY_DESC' => 'Use for the Portal API. This type cannot login through the SuiteCRM web interface.',
    'LBL_PORTAL_ONLY_USER' => 'Portal API User',
    'LBL_POSTAL_CODE' => 'Postal Code',
    'LBL_PRIMARY_ADDRESS' => 'Primary Address',
    'LBL_PROMPT_TIMEZONE_TEXT' => 'Select to have new users go through the New User Wizard upon first login.',
    'LBL_PROMPT_TIMEZONE' => 'User Wizard Prompt',
    'LBL_PROVIDE_USERNAME_AND_EMAIL' => 'Provide both a User Name and an Email Address.',
    'LBL_PUBLISH_KEY' => 'Publish Key',
    'LBL_RECAPTCHA_NEW_CAPTCHA' => 'Get another CAPTCHA',
    'LBL_RECAPTCHA_SOUND' => 'Switch to Sound',
    'LBL_RECAPTCHA_IMAGE' => 'Switch to Image',
    'LBL_RECAPTCHA_INSTRUCTION' => 'Enter the Two Words Below',
    'LBL_RECAPTCHA_INSTRUCTION_OPPOSITE' => 'Enter the Two Words to the Right',
    'LBL_RECAPTCHA_FILL_FIELD' => 'Enter the text that appears in the image.',
    'LBL_RECAPTCHA_INVALID_PRIVATE_KEY' => 'Invalid Recaptcha Private Key',
    'LBL_RECAPTCHA_INVALID_REQUEST_COOKIE' => 'The challenge parameter of the verify Recaptcha script was incorrect.',
    'LBL_RECAPTCHA_UNKNOWN' => 'Unknown Recaptcha Error',
    'LBL_RECEIVE_NOTIFICATIONS_TEXT' => 'Receive an email notification when a record is assigned to you.',
    'LBL_RECEIVE_NOTIFICATIONS' => 'Notify on Assignment',
    'LBL_REGULAR_USER' => 'Regular User',
    'LBL_REMINDER_TEXT' => 'Set a default for reminders for calls and meetings. Pop-up notifications appear for all invitees using SuiteCRM. Email reminders are sent to all invitees.',
    'LBL_REMINDER' => 'Reminders',
    'LBL_REMINDER_POPUP' => 'Popup',
    'LBL_REMINDER_EMAIL_ALL_INVITEES' => 'Email all invitees',
    // new reminders
    'LBL_REMINDERS' => 'Reminders',
    'LBL_REMINDERS_ACTIONS' => 'Actions:',
    'LBL_REMINDERS_POPUP' => 'Popup',
    'LBL_REMINDERS_EMAIL' => 'Email invitees',
    'LBL_REMINDERS_WHEN' => 'When:',
    'LBL_REMINDERS_REMOVE_REMINDER' => 'Remove reminder',
    'LBL_REMINDERS_ADD_ALL_INVITEES' => 'Add All Invitees',
    'LBL_REMINDERS_ADD_REMINDER' => 'Add reminder',
    'LBL_REPORTS_TO_NAME' => 'Reports to',
    'LBL_REPORTS_TO' => 'Reports to',
    'LBL_REPORTS_TO_ID' => 'Reports to ID:',
    'LBL_REQUEST_SUBMIT' => 'Your request has been submitted.',
    'LBL_RESET_PREFERENCES' => 'Reset User Preferences',
    'LBL_RESET_PREFERENCES_WARNING' => 'Are you sure you want reset all of your user preferences? Warning: This will also log you out of the application.',
    'LBL_RESET_PREFERENCES_WARNING_USER' => 'Are you sure you want reset all of the preferences for this user?',
    'LBL_RESET_HOMEPAGE' => 'Reset Homepage',
    'LBL_RESET_HOMEPAGE_WARNING' => 'Are you sure you want reset your Homepage?',
    'LBL_RESET_HOMEPAGE_WARNING_USER' => 'Are you sure you want reset the Homepage for this user?',
    'LBL_SALUTATION' => 'Salutation',
    'LBL_ROLES_SUBPANEL_TITLE' => 'Roles',
    'LBL_SEARCH_FORM_TITLE' => 'User Search',
    'LBL_SEARCH_URL' => 'Search location',
    'LBL_SELECT_CHECKED_BUTTON_LABEL' => 'Select Checked Users',
    'LBL_SELECT_CHECKED_BUTTON_TITLE' => 'Select Checked Users',
    'LBL_SETTINGS_URL_DESC' => 'Use this URL when establishing login settings for the SuiteCRM Plug-in for Microsoft&reg; Outlook&reg; and the SuiteCRM Plug-in for Microsoft&reg; Word&reg;.',
    'LBL_SETTINGS_URL' => 'URL',
    'LBL_SIGNATURE' => 'Signature',
    'LBL_SIGNATURE_HTML' => 'HTML signature',
    'LBL_SIGNATURE_PREPEND' => 'Signature above reply?',
    'LBL_STATE' => 'State',
    'LBL_STATUS' => 'Status',
    'LBL_SUBPANEL_TABS' => 'Subpanel Tabs',
    'LBL_SUBPANEL_TABS_DESCRIPTION' => 'In Detail Views, group Subpanels into tabs and display one tab at a time.',
    'LBL_SORT_MODULES' => 'Sort modules alphabetically',
    'LBL_SORT_MODULES_DESCRIPTION' => 'Order modules by name in the navigation drop down.',
    'LBL_COUNT_COLLAPSED_SUBPANELS' => 'Show collapsed subpanel hint',
    'LBL_COUNT_COLLAPSED_SUBPANELS_DESCRIPTION' => 'When subpanels are collapsed, shows a hint to indicate if the subpanel is empty or contains records.',
    'LBL_SUITE_LOGIN' => 'Is SuiteCRM User',
    'LBL_THEME' => 'Themes',
    'LBL_TIME_FORMAT_TEXT' => 'Set the display format for time stamps',
    'LBL_TIME_FORMAT' => 'Time Format',
    'LBL_TIMEZONE_TEXT' => 'Set the current time zone',
    'LBL_TIMEZONE' => 'Time Zone',
    'LBL_TITLE' => 'Job Title',
    'LBL_USE_REAL_NAMES' => 'Show Full Names',
    'LBL_USE_REAL_NAMES_DESC' => 'Display users\' full names instead of their User Names in assignment fields.',
    'LBL_USER_INFORMATION' => 'User Profile',
    'LBL_USER_LOCALE' => 'Locale Settings',
    'LBL_USER_NAME' => 'Username',
    'LBL_USER_SETTINGS' => 'User Settings',
    'LBL_USER_TYPE' => 'User Type',
    'LBL_USER_ACCESS' => 'Access',
    'LBL_WORK_PHONE' => 'Work Phone',
    'LBL_YOUR_PUBLISH_URL' => 'Publish at my location',
    'LBL_ICAL_PUB_URL' => 'iCal integration URL',
    'LBL_ICAL_PUB_URL_HELP' => 'Use this URL to subscribe to the SuiteCRM calendar within iCal.',
    'LNK_NEW_USER' => 'Create New User',
    'LNK_NEW_GROUP_USER' => 'Create Group User',
    'LNK_USER_LIST' => 'View Users',
    'LBL_PROSPECT_LIST' => 'Prospect List',
    'LBL_EMAILS' => 'Emails',
    'LBL_PROCESSING' => 'Processing',
    'LBL_UPDATE_FINISH' => 'Update complete',
    'LBL_AFFECTED' => 'affected',
    'LBL_USER_NAME_FOR_ROLE' => 'Users/Teams/Roles',
    'LBL_SESSION_EXPIRED' => 'You have been logged out because your session has expired.',
// INBOUND EMAIL STRINGS
    'LBL_ASSIGN_TO_USER' => 'Assign To User',
    'LBL_BASIC' => 'Inbound Setup',
    'LBL_LOGIN' => 'User Name',
    'LBL_MAILBOX_DEFAULT' => 'INBOX',
    'LBL_MAILBOX' => 'Monitored Folder',
    'LBL_MAILBOX_TYPE' => 'Possible Actions',
    'LBL_MARK_READ_NO' => 'Email marked deleted after import',
    'LBL_MARK_READ_YES' => 'Email left on server after import',
    'LBL_MARK_READ' => 'Leave messages on server',
    'LBL_PORT' => 'Mail server port',
    'LBL_SERVER_OPTIONS' => 'Advanced Setup',
    'LBL_SERVER_TYPE' => 'Mail server protocol',
    'LBL_SERVER_URL' => 'Mail server address',
    'LBL_SSL' => 'Use SSL',
    'LBL_SSL_DESC' => 'Use Secure Socket Layer when connecting to your mail server.',
    'LBL_TEST_BUTTON_TITLE' => 'Test',
    'LBL_TEST_SETTINGS' => 'Test Settings',
    'LBL_TEST_SUCCESSFUL' => 'Connection completed successfully.',
    'LBL_TOGGLE_ADV' => 'Show Advanced',
// END INBOUND EMAIL STRINGS
    'LBL_LDAP_EXTENSION_ERROR' => 'LDAP Error: Extensions not loaded',
// PROJECT RESOURCES STRINGS
    'LBL_RESOURCE_NAME' => 'Name',
    'LBL_SMTP_SERVER_HELP' => 'This SMTP Mail Server can be used for outgoing mail. Provide a username and password for your email account in order to use the mail server.',
    'LBL_MISSING_DEFAULT_OUTBOUND_SMTP_SETTINGS' => 'The administrator has not yet configured the default outbound account. Unable to send test email.',
    'LBL_MAIL_SMTPPASS' => 'SMTP Password:',
    'LBL_MAIL_SMTPUSER' => 'SMTP Username:',
    'LBL_MAIL_SMTPTYPE' => 'SMTP Server Type:',
    'LBL_MAIL_SMTP_SETTINGS' => 'SMTP Server Specification',
    'LBL_CHOOSE_EMAIL_PROVIDER' => 'Choose your Email provider:',
    'LBL_YAHOOMAIL_SMTPPASS' => 'Yahoo! Mail Password:',
    'LBL_YAHOOMAIL_SMTPUSER' => 'Yahoo! Mail ID:',
    'LBL_GMAIL_SMTPPASS' => 'Gmail Password:',
    'LBL_GMAIL_SMTPUSER' => 'Gmail Email Address:',
    'LBL_EXCHANGE_SMTPPASS' => 'Exchange Password:',
    'LBL_EXCHANGE_SMTPUSER' => 'Exchange Username:',
    'LBL_EXCHANGE_SMTPPORT' => 'Exchange Server Port:',
    'LBL_EXCHANGE_SMTPSERVER' => 'Exchange Server:',
    'LBL_OK' => 'OK',
    'LBL_CANCEL' => 'Cancel',
    'LBL_DELETE_USER' => 'Delete User',
    // Wizard
    'LBL_WIZARD_TITLE' => 'User Wizard',
    'LBL_WIZARD_WELCOME_TAB' => 'Welcome',
    'LBL_WIZARD_WELCOME_TITLE' => 'Welcome to SuiteCRM!',
    'LBL_WIZARD_WELCOME' => 'Click <b>Next</b> to configure a few basic settings for using SuiteCRM.',
    'LBL_WIZARD_WELCOME_NOSMTP' => 'Click <b>Next</b> to configure a few basic settings for using SuiteCRM.',
    'LBL_WIZARD_NEXT_BUTTON' => 'Next >',
    'LBL_WIZARD_BACK_BUTTON' => '< Back',
    'LBL_WIZARD_SKIP_BUTTON' => 'Skip',
    'LBL_WIZARD_FINISH_BUTTON' => 'Finish',
    'LBL_WIZARD_FINISH_TITLE' => 'You are ready to use SuiteCRM!',
    'LBL_WIZARD_FINISH' => 'Click <b>Finish</b> below to save your settings and to begin using SuiteCRM. For more information on using SuiteCRM:<br /><br />
<table cellpadding=0 cellspacing=0>
<tr><td><!--not_in_theme!-->Visit www.suitecrm.com
<img src=include/images/suitecrm_login.png style="margin-right: 5px;">
</td><td><a href="https://www.suitecrm.com/" target="_blank"><b>SuiteCRM</b></a></td></tr>
</table>',
    'LBL_WIZARD_FINISH1' => 'What would you like to do next?',
    'LBL_WIZARD_FINISH2' => 'Start Using SuiteCRM',
    'LBL_WIZARD_FINISH3' => 'Import Data',
    'LBL_WIZARD_FINISH4' => 'Import data from external sources into the application.',
    'LBL_WIZARD_FINISH5' => 'Create Users',
    'LBL_WIZARD_FINISH6' => 'Create new user accounts for people to use to access the application.',
    'LBL_WIZARD_FINISH7' => 'View and Manage Application Settings',
    'LBL_WIZARD_FINISH8' => 'Manage advanced settings, including default application settings.',
    'LBL_WIZARD_FINISH9' => 'Configure the Application',
    'LBL_WIZARD_FINISH10' => 'Use Studio to create and manage application fields and layouts.',
    'LBL_WIZARD_FINISH11' => 'Visit SuiteCRM Site',
    'LBL_WIZARD_FINISH12' => 'Find training materials and classes that will help you get started as a system administrator or end user of the application.',
    'LBL_WIZARD_FINISH14' => 'Documentation',
    'LBL_WIZARD_FINISH15' => 'Product Guides and Release Notes',
    'LBL_WIZARD_FINISH16' => 'Knowledge Base',
    'LBL_WIZARD_FINISH17' => 'Tips from SuiteCRM',
    'LBL_WIZARD_FINISH18' => 'Forums',
    'LBL_WIZARD_FINISH19' => 'Forums dedicated to the SuiteCRM Community to discuss topics of interest with each other and with SuiteCRM Developers',
    'LBL_WIZARD_FINISH2DESC' => 'Go directly to the application Home page.',
    'LBL_WIZARD_PERSONALINFO' => 'Your Information',
    'LBL_WIZARD_LOCALE' => 'Your Locale',
    //Wizard Scenarios
    'LBL_WIZARD_SCENARIOS' => 'Your Scenarios',
    'LBL_WIZARD_SCENARIOS_EMPTY_LIST' => 'No scenarios have been configured',
    'LBL_WIZARD_SCENARIOS_DESC' => 'Choose which scenarios are appropriate for your installation. These options can be changed post-install.',
    'LBL_WIZARD_LOCALE_DESC' => 'Specify your time zone and how you would like dates, currencies and names to appear in SuiteCRM.',
    'LBL_WIZARD_SMTP_DESC' => 'Provide your email account username and password for the default outbound email server.',
    'LBL_EAPM_SUBPANEL_TITLE' => 'External Accounts',
    'LBL_EDITLAYOUT' => 'Edit Layout' /* for 508 compliance fix */,
    'LBL_CHECKMARK' => 'Checkmark' /* for 508 compliance fix */,
    'LBL_OAUTH_TOKENS' => 'OAuth Tokens',
    //For export labels
    'LBL_SHOW_ON_EMPLOYEES' => 'Display Employee Record',
    'LBL_DATE_ENTERED' => 'Date Entered',
    'LBL_DELETED' => 'Deleted',
    'LBL_HIDEOPTIONS' => 'Hide Options',
    'LBL_SHOWOPTIONS' => 'Show Options',
    'LBL_SUITE_PRINT' => "Print this page",

    'LBL_QUICK_ACCOUNT' => 'Create Account',
    'LBL_QUICK_CONTACT' => 'Create Contact',
    'LBL_QUICK_OPPORTUNITY' => 'Create Opportunity',
    'LBL_QUICK_LEAD' => 'Create Lead',
    'LBL_QUICK_DOCUMENT' => 'Create Document',
    'LBL_QUICK_CALL' => 'Log Call',
    'LBL_QUICK_TASK' => 'Create Task',
    'LBL_ENABLE_NOTIFICATIONS' => 'Enable Desktop Notifications',
    'LBL_LIST_NONINHERITABLE' => "Not Inheritable",
    'LBL_PRIMARY_GROUP' => "Primary Group",
    'LBL_PASSWORD_MIS_MATCH' => 'mis-match',
    'LBL_EMAIL_INFORMATION' => 'EMAIL',
    'LBL_FW' => 'FW:',
    'LBL_RE' => 'RE:',
    'LBL_BUTTON_CREATE' => 'Create',
    'LBL_BUTTON_EDIT' => 'Edit',
    'LBL_QS_DISABLED' => '(QuickSearch is not available for this module. Please use the select button.)',
    'LBL_ENTER_FOLDER_NAME' => 'Please enter a folder name',
    'LBL_ERROR_SELECT_MODULE' => 'Please select a module for the Related to field',
    'ERR_ARCHIVE_EMAIL' => 'Error: Select emails to archive.',
    'LBL_ACCOUNTS_SUBPANEL_TITLE' => 'Accounts',
    'LBL_ADD_DASHLETS' => 'Add SuiteCRM Dashlets',
    'LBL_ADD_DOCUMENT' => 'Add Documents',
    'LBL_ADD_ENTRIES' => 'Add Entries',
    'LBL_ADD_FILE' => 'Add Files',
    'LBL_ATTACHMENTS' => 'Attachments:',
    'LBL_HAS_ATTACHMENT' => 'Has Attachment?:',
    'LBL_BCC' => 'Bcc:',
    'LBL_BODY' => 'Body:',
    'LBL_BUGS_SUBPANEL_TITLE' => 'Bugs',
    'LBL_CC' => 'Cc:',
    'LBL_COMPOSE_MODULE_NAME' => 'Compose Email',
    'LBL_CONTACT_NAME' => 'Contact:',
    'LBL_CONTACTS_SUBPANEL_TITLE' => 'Contacts',
    'LBL_CREATED_BY' => 'Created by',
    'LBL_DATE_SENT' => 'Date Sent:',
    'LBL_DATE' => 'Date Sent:',
    'LBL_DELETE_FROM_SERVER' => 'Delete message from server',
    'LBL_DESCRIPTION' => 'Description',
    'LBL_EDIT_ALT_TEXT' => 'Edit Plain Text',
    'LBL_SEND_IN_PLAIN_TEXT' => 'Send in Plain Text',
    'LBL_EMAIL_ATTACHMENT' => 'Email Attachment',
    'LBL_EMAIL_SELECTOR_SELECT' => 'Select',
    'LBL_EMAIL_SELECTOR_CLEAR' => 'Clear',
    'LBL_EMAILS_ACCOUNTS_REL' => 'Emails:Accounts',
    'LBL_EMAILS_BUGS_REL' => 'Emails:Bugs',
    'LBL_EMAILS_CASES_REL' => 'Emails:Cases',
    'LBL_EMAILS_CONTACTS_REL' => 'Emails:Contacts',
    'LBL_EMAILS_LEADS_REL' => 'Emails:Leads',
    'LBL_EMAILS_OPPORTUNITIES_REL' => 'Emails:Opportunities',
    'LBL_EMAILS_NOTES_REL' => 'Emails:Notes',
    'LBL_EMAILS_PROJECT_REL' => 'Emails:Project',
    'LBL_EMAILS_PROJECT_TASK_REL' => 'Emails:ProjectTask',
    'LBL_EMAILS_PROSPECT_REL' => 'Emails:Prospect',
    'LBL_EMAILS_CONTRACTS_REL' => 'Emails:Contract',
    'LBL_EMAILS_TASKS_REL' => 'Emails:Tasks',
    'LBL_EMAILS_USERS_REL' => 'Emails:Users',
    'LBL_EMPTY_FOLDER' => 'No Emails to display',
    'LBL_SELECT_FOLDER' => 'Select Folder',
    'LBL_ERROR_SENDING_EMAIL' => 'Error Sending email',
    'LBL_ERROR_SAVING_DRAFT' => 'Error Saving Draft',
    'LBL_FROM_NAME' => 'From Name',
    'LBL_FROM' => 'From:',
    'LBL_REPLY_TO' => 'Reply To:',
    'LBL_HTML_BODY' => 'HTML Body',
    'LBL_INVITEE' => 'Recipients',
    'LBL_LEADS_SUBPANEL_TITLE' => 'Leads',
    'LBL_MESSAGE_SENT' => 'Message Sent',
    'LBL_MY_EMAILS' => 'My Emails',
    'LBL_NONE' => 'None',
    'LBL_NOT_SENT' => 'Send Error',
    'LBL_NOTES_SUBPANEL_TITLE' => 'Attachments',
    'LBL_OPPORTUNITY_SUBPANEL_TITLE' => 'Opportunities',
    'LBL_PROJECT_SUBPANEL_TITLE' => 'Projects',
    'LBL_PROJECT_TASK_SUBPANEL_TITLE' => 'Project Tasks',
    'LBL_RAW' => 'Raw Email',
    'LBL_SAVE_AS_DRAFT_BUTTON_TITLE' => 'Save Draft',
    'LBL_SEND_ANYWAYS' => 'This email has no subject. Send/save anyway?',
    'LBL_SEND_BUTTON_LABEL' => 'Send',
    'LBL_SEND_BUTTON_TITLE' => 'Send',
    'LBL_SEND' => 'SEND',
    'LBL_SENT_MODULE_NAME' => 'Sent Emails',
    'LBL_SHOW_ALT_TEXT' => 'Show Plain Text',
    'LBL_SUBJECT' => 'Subject:',
    'LBL_TEXT_BODY' => 'Text Body',
    'LBL_TIME' => 'Time Sent:',
    'LBL_TO_ADDRS' => 'To',
    'LBL_USERS_SUBPANEL_TITLE' => 'Users',
    'LBL_USERS' => 'Users',
    'LNK_CALL_LIST' => 'Calls',
    'LBL_EMAIL_RELATE' => 'Related To',
    'LNK_EMAIL_TEMPLATE_LIST' => 'View Email Templates',
    'LNK_MEETING_LIST' => 'Meetings',
    'LNK_NEW_CALL' => 'Log Call',
    'LNK_NEW_EMAIL_TEMPLATE' => 'Create Email Template',
    'LNK_NEW_EMAIL' => 'Send Email',
    'LNK_NEW_MEETING' => 'Schedule Meeting',
    'LNK_NEW_NOTE' => 'Create Note or Attachment',
    'LNK_NEW_SEND_EMAIL' => 'Compose',
    'LNK_NEW_TASK' => 'Create Task',
    'LNK_NOTE_LIST' => 'Notes',
    'LNK_SENT_EMAIL_LIST' => 'Sent Emails',
    'LNK_TASK_LIST' => 'Tasks',
    'LNK_VIEW_CALENDAR' => 'Today',
    'LBL_LIST_ASSIGNED' => 'Assigned',
    'LBL_LIST_CONTACT_NAME' => 'Contact Name',
    'LBL_LIST_DATE_SENT' => 'Date Sent',
    'LBL_LIST_DATE' => 'Date Sent',
    'LBL_LIST_FORM_DRAFTS_TITLE' => 'Draft',
    'LBL_LIST_FORM_SENT_TITLE' => 'Sent Emails',
    'LBL_LIST_FROM_ADDR' => 'From',
    'LBL_LIST_RELATED_TO' => 'Recipient Type',
    'LBL_LIST_SUBJECT' => 'Subject',
    'LBL_LIST_TO_ADDR' => 'To',
    'LBL_LIST_TYPE' => 'Type',
    'WARNING_SETTINGS_NOT_CONF' => 'Warning: Your email settings are not configured to send email.',
    // for All emails
    'LBL_BUTTON_RAW_LABEL' => 'Show Raw',
    'LBL_BUTTON_RAW_LABEL_HIDE' => 'Hide Raw',
    // for InboundEmail
    'LBL_BUTTON_CHECK' => 'Check Mail',
    'LBL_BUTTON_CHECK_TITLE' => 'Check For New Email',
    'LBL_BUTTON_FORWARD' => 'Forward',
    'LBL_BUTTON_REPLY_TITLE' => 'Reply',
    'LBL_BUTTON_REPLY_ALL' => 'Reply All',
    'LBL_CASES_SUBPANEL_TITLE' => 'Cases',
    'LBL_INTENT' => 'Intent',
    'LBL_MESSAGE_ID' => 'Message ID',
    'LBL_REPLY_HEADER_1' => 'On',
    'LBL_REPLY_HEADER_2' => 'wrote:',
    'LBL_REPLY_TO_ADDRESS' => 'Reply-to Address',
    'LBL_REPLY_TO_NAME' => 'Reply-to Name',
    'LBL_LIST_BUG' => 'Bugs',
    'LBL_LIST_CASE' => 'Cases',
    'LBL_LIST_CONTACT' => 'Contacts',
    'LBL_LIST_LEAD' => 'Leads',
    'LBL_LIST_TASK' => 'Tasks',
    'LBL_LIST_ASSIGNED_TO_NAME' => 'Assigned User',
    // for Inbox
    'LBL_ALL' => 'All',
    'LBL_ASSIGN_WARN' => 'Ensure that all 2 options are selected.',
    'LBL_BACK_TO_GROUP' => 'Back to Group Inbox',
    'LBL_BUTTON_DISTRIBUTE_TITLE' => 'Assign',
    'LBL_BUTTON_DISTRIBUTE' => 'Assign',
    'LBL_BUTTON_GRAB_TITLE' => 'Take from Group',
    'LBL_BUTTON_GRAB' => 'Take from Group',
    'LBL_CREATE_BUG' => 'Create Bug',
    'LBL_CREATE_CASE' => 'Create Case',
    'LBL_CREATE_CONTACT' => 'Create Contact',
    'LBL_CREATE_LEAD' => 'Create Lead',
    'LBL_CREATE_TASK' => 'Create Task',
    'LBL_DIST_TITLE' => 'Assignment',
    'LBL_LOCK_FAIL_DESC' => 'The chosen item is unavailable currently.',
    'LBL_LOCK_FAIL_USER' => ' has taken ownership.',
    'LBL_MASS_DELETE_ERROR' => 'No checked items were passed for deletion.',
    'LBL_NEW' => 'New',
    'LBL_NEXT_EMAIL' => 'Next Free Item',
    'LBL_REPLIED' => 'Replied',
    'LBL_TO' => 'To:',
    'LBL_TOGGLE_ALL' => 'Toggle All',
    'LBL_UNKNOWN' => 'Unknown',
    'LBL_USE' => 'Assign:',
    'LBL_ASSIGN_SELECTED_RESULTS_TO' => 'Assign Selected Results To:',
    'LBL_USER_SELECT' => 'Select Users',
    'LBL_USING_RULES' => 'Using Rules:',
    'LBL_WARN_NO_DIST' => 'No Distribution Method Selected',
    'LBL_WARN_NO_USERS' => 'No Users are selected',
    'LBL_IMPORT_STATUS_TITLE' => 'Status',
    'LBL_INDICATOR' => 'Indicator',
    'LBL_LIST_TITLE_GROUP_INBOX' => 'Group Inbox',
    'LBL_LIST_TITLE_MY_DRAFTS' => 'My Drafts',
    'LBL_LIST_TITLE_MY_INBOX' => 'My Inbox',
    'LBL_LIST_TITLE_MY_SENT' => 'My Sent Email',
    'LBL_LIST_TITLE_MY_ARCHIVES' => 'My Archived Emails',
    'LNK_MY_DRAFTS' => 'My Drafts',
    'LNK_MY_INBOX' => 'My Email',
    'LNK_VIEW_MY_INBOX' => 'View My Email',
    'LNK_QUICK_REPLY' => 'Reply',
    'LBL_EMAILS_NO_PRIMARY_TEAM_SPECIFIED' => 'No Primary Team specified',
    // advanced search
    'LBL_ASSIGNED_TO' => 'Assigned To:',
    'LBL_MEMBER_OF' => 'Parent',
    'LBL_QUICK_CREATE' => 'Quick Create',
    'LBL_EMAIL_FLAGGED' => 'Flagged:',
    'LBL_EMAIL_REPLY_TO_STATUS' => 'Reply To Status:',
    'LBL_TYPE' => 'Type:',
    //#20680 EmialTemplate Ext.Message.show;
    'LBL_EMAILTEMPLATE_MESSAGE_SHOW_TITLE' => 'Please check!',
    'LBL_EMAILTEMPLATE_MESSAGE_SHOW_MSG' => 'Selecting this template will overwrite any data already entered within the email body. Do you wish to continue?',
    'LBL_EMAILTEMPLATE_MESSAGE_CLEAR_MSG' => 'Selecting "--None--" will clear any data already entered within the email body. Do you wish to continue?',
    'LBL_EMAILTEMPLATE_MESSAGE_WARNING_TITLE' => 'Warning',
    'LBL_EMAILTEMPLATE_MESSAGE_MULTIPLE_RECIPIENTS' => 'Using an email template containing contact variables, such as the contact name, to send emails to multiple recipients may have unexpected results. It is recommended that you use an email campaign for mass mailings.',
    'LBL_CHECK_ATTACHMENTS' => 'Please Check Attachments!',
    'LBL_HAS_ATTACHMENTS' => 'This email already has attachment(s). Would you like to keep the attachment(s)?',
    'LBL_HAS_ATTACHMENT_INDICATOR' => 'Has Attachments',
    'ERR_MISSING_REQUIRED_FIELDS' => 'Missing required field',
    'ERR_INVALID_REQUIRED_FIELDS' => 'Invalid required field',
    'LBL_FILTER_BY_RELATED_BEAN' => 'Only show recipients related to',
    'LBL_ADD_INBOUND_ACCOUNT' => 'Add',
    'LBL_ADD_OUTBOUND_ACCOUNT' => 'Add',
    'LBL_EMAIL_ACCOUNTS_INBOUND' => 'Mail Account Properties',
    'LBL_EMAIL_SETTINGS_OUTBOUND_ACCOUNT' => 'Outgoing SMTP Mail Server',
    'LBL_EMAIL_SETTINGS_OUTBOUND_ACCOUNTS' => 'Outgoing SMTP Mail Servers',
    'LBL_EMAIL_SETTINGS_INBOUND_ACCOUNTS' => 'Mail Accounts',
    'LBL_EMAIL_SETTINGS_INBOUND' => 'Incoming Email',
    'LBL_EMAIL_SETTINGS_OUTBOUND' => 'Outgoing Email',
    'LBL_ADD_CC' => 'Add Cc',
    'LBL_ADD_BCC' => 'Add Bcc',
    'LBL_MOVE_TO_BCC' => 'Move To Bcc',
    'LBL_ADD_TO_ADDR' => 'Add To',
    'LBL_SELECTED_ADDR' => 'Selected',
    'LBL_ADD_CC_BCC_SEP' => '|',
    'LBL_SEND_EMAIL_FAIL_TITLE' => 'Error Sending Email',
    'LBL_EMAIL_DETAIL_VIEW_SHOW' => 'show',
    'LBL_EMAIL_DETAIL_VIEW_MORE' => ' more',
    'LBL_MORE_OPTIONS' => 'More',
    'LBL_LESS_OPTIONS' => 'Less',
    'LBL_MAILBOX_TYPE_PERSONAL' => 'Personal',
    'LBL_MAILBOX_TYPE_GROUP' => 'Group',
    'LBL_MAILBOX_TYPE_GROUP_FOLDER' => 'Group - Auto-Import',
    'LBL_SEARCH_FOR' => 'Search For',
    'LBL_EMAIL_INBOUND_TYPE_HELP' => '<b>Personal</b>: Email account accessible by you. Only you can manage and import emails from this account.<br><b>Group</b>: Email account accessible by members of specified teams. Team members can manage and import emails from this account.<br><b>Group - auto-import</b>: Email account accessible by members of specified teams. Emails are automatically imported as records.',
    'LBL_ADDRESS_BOOK_SEARCH_HELP' => 'Enter an email address, First Name, Last Name or Account Name to find recipients.',
    'LBL_EMPTY_EMAIL_BODY' => '<p><span style="color: #888888;"><em>This Message Has No Content</em></span></p>',
    'LBL_TEST_EMAIL_SUBJECT' => 'Test Email from SuiteCRM',
    'LBL_NO_SUBJECT' => '(no subject)',
    'LBL_CHECKING_ACCOUNT' => 'Checking Account',
    'LBL_OF' => 'of',
    'LBL_TEST_EMAIL_BODY' => 'This email was sent in order to test the outgoing mail server information provided in the SuiteCRM application. A successful receipt of this email indicates that the outgoing mail server information provided is valid.',
    // for outbound email dialog
    'LBL_MAIL_SMTPAUTH_REQ' => 'Use SMTP Authentication?',
    'LBL_EDIT_LAYOUT' => 'Edit Layout' /* for 508 compliance fix */,
    'LBL_ATTACHMENT' => 'Attachment' /* for 508 compliance fix */,
    'LBL_DELETE_INLINE' => 'Delete' /* for 508 compliance fix */,
    'LBL_CREATE_CASES' => 'Create Cases' /* for 508 compliance fix */,
    'LBL_CREATE_LEADS' => 'Create Leads' /* for 508 compliance fix */,
    'LBL_CREATE_CONTACTS' => 'Create Contacts' /* for 508 compliance fix */,
    'LBL_CREATE_BUGS' => 'Create Bugs' /* for 508 compliance fix */,
    'LBL_CREATE_TASKS' => 'Create Tasks' /* for 508 compliance fix */,
    'LBL_CHECK_INLINE' => 'Correct' /* for 508 compliance fix */,
    'LBL_CLOSE' => 'Close' /* for 508 compliance fix */,
    'LBL_HELP' => 'Help' /* for 508 compliance fix */,
    'LBL_WAIT' => 'Wait' /* for 508 compliance fix */,
    'LBL_CHECKEMAIL' => 'Check Email' /* for 508 compliance fix */,
    'LBL_COMPOSEEMAIL' => 'Compose Email' /* for 508 compliance fix */,
    'LBL_EMAILSETTINGS' => 'Email Settings' /* for 508 compliance fix */,
    // SNIP
    'LBL_EMAILS_MEETINGS_REL' => 'Emails: Meetings',
    'LBL_DATE_MODIFIED' => 'Date Modified',
    'LBL_CATEGORY' => 'Category',
    'LBL_LIST_CATEGORY' => 'Category',
    'LBL_EDITOR_TYPE' => 'Editor',
    'LBL_CONTACTS_SYNC' => 'Contacts Sync',
    'LBL_PROJECT_USERS_1_FROM_PROJECT_TITLE' => 'Project Users from Project Title',
    'LBL_ROLES' => 'Roles',
    'LBL_SECURITYGROUPS' => 'Security Groups',
    'LBL_FACTOR_AUTH' => 'Two Factor Authentication:',
    'LBL_FACTOR_AUTH_INTERFACE' => 'Two Factor Authentication Interface:',
    'ERR_USER_FACTOR_SMTP_REQUIRED' => 'SMTP server settings required first.',
    'ERR_USER_FACTOR_CHANGE_DISABLED' => 'Current user is not able to change two factor authentication settings.',
    'LNK_IMPORT_CAMPAIGNS' => 'Import Campaign',
    // for Google Token/Synchronization settings
    'LBL_GOOGLE_API_SETTINGS' => 'Google Account Synchronization',
    'LBL_GOOGLE_API_TOKEN' => 'Google API Token',
    'LBL_GOOGLE_API_TOKEN_HELP' => 'Use this to authorize SuiteCRM to access your Google Calendar. This is required for synchronization. Don\'t forget to check the "Enable Calendar Sync" checkbox when done.',
    'LBL_GOOGLE_API_TOKEN_BTN' => 'Get Token',
    'LBL_GSYNC_CAL' => 'Enable Calendar Sync',
    // END Google Token/Synchronization settings

    'LNK_LIST_OUTBOUND_EMAIL_ACCOUNTS' => 'Outbound Email Accounts',
    'LNK_LIST_INBOUND_EMAIL_ACCOUNTS' => 'Inbound Email Accounts',
    'LNK_EXTERNAL_OAUTH_CONNECTIONS' => 'External OAuth Connections',

); // END STRINGS DEFS
